Most important extension does not work in new version

Board for discussions around the Basilisk web browser.

Moderator: satrow

User avatar
Smokey20
Fanatic
Fanatic
Posts: 147
Joined: 2014-06-09, 06:06
Location: Hawaii

Most important extension does not work in new version

Unread post by Smokey20 » 2019-06-09, 01:08

I just updated to the latest Basilisk version to find extensions messed up. In particular, the most important extension, Tree Style Tabs 0.9.2017.090.601 (last version that works correctly) is still enabled but doesn't work. (I've used this extension and earlier variations of it since Mozilla Suite in 2001 and then Fx 1.0).

I have 92 tabs across the top of Basilisk now. Basilisk is unusable like this. I tried setting Tree Style Tabs to show them down the right side, instead of the left, and restarted Basilisk but I still got 92 tabs horizontal across the top with no ability to even list them but listing is of very little practicality anyway. I need them correctly ordered (parent,child, etc) and sorted and listed down the side.

I tried a second profile that had no extensions and I installed Tree Style Tabs 0.9.2017.090.601(last version that works properly), configured it, and it doesn't work on a second profile with no other extensions.

Tree Style Tabs (XUL same version that is not working now on Basilisk) still works in Waterfox but I far prefer to use Basilisk which I have been very happy with until now.

Suggestions to get it working? Basilisk is my default browser and I am losing a lot of work today not being able use my open tabs correctly. Mahalo.

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 5457
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: Most important extension does not work in new version

Unread post by New Tobin Paradigm » 2019-06-09, 06:27

You have been a member of this forum since 2014.. What do we tell people when extensions bust? Come on, I know you can do it. Just try.

I'll give you a hint. Three words the first word starting with a "C".
Image

- So then, "mono" means one, and "rail" means rail! -
And that concludes our intensive three-week course.
http://binaryoutcast.com/ | http://thereisonlyxul.org/

User avatar
Smokey20
Fanatic
Fanatic
Posts: 147
Joined: 2014-06-09, 06:06
Location: Hawaii

Re: Most important extension does not work in new version

Unread post by Smokey20 » 2019-06-09, 08:16

There is no need to be puzzling and demeaning. If I knew what to do, I would have done it ... other than just abandoning Basilisk. Several years ago, I did leave Pale Moon that I loved, at the time, over a similar issue. I got Basilisk instead and it has been a joy to use until now.

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 5457
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: Most important extension does not work in new version

Unread post by New Tobin Paradigm » 2019-06-09, 08:35

How disappointing. The correct answer is: Contact the Developer.

It is the responsibility of Extensions to be compatible with the Application. Not the other way around.
Image

- So then, "mono" means one, and "rail" means rail! -
And that concludes our intensive three-week course.
http://binaryoutcast.com/ | http://thereisonlyxul.org/

User avatar
therube
Keeps coming back
Keeps coming back
Posts: 967
Joined: 2018-06-08, 17:02

Re: Most important extension does not work in new version

Unread post by therube » 2019-06-09, 12:55

Basilisk with Tree Style Tab.png
0.18.2016111701

pintorama
Apollo supporter
Apollo supporter
Posts: 30
Joined: 2018-01-20, 23:46

Re: Most important extension does not work in new version

Unread post by pintorama » 2019-06-09, 21:25

Here's what has worked for me, in the past, when extensions no longer function properly in a new version of Basilisk. First, save your existing profile so you can go back. Second, go to the Classic Ad-ons Archive for your extension: caa:addon/tree-style-tab/versions, and see if an earlier version of the extension will function properly. I can't promise this will work, but it is worth trying and, by saving your existing profile, you can go back to that if things do not work out without the experiment of trying earlier versions having any adverse effect on your other extensions, settings, etc.

ron_1
Board Warrior
Board Warrior
Posts: 1996
Joined: 2012-06-28, 01:20

Re: Most important extension does not work in new version

Unread post by ron_1 » 2019-06-09, 21:38

Would starting with a new profile, then installing the extension be something worthwhile to try?
Or, trying the version of the extension found on the Pale Moon site? (I know the OP is using Basilisk.)

I'm ignorant about this extension so these are ideas I'm just throwing out there. If they are way off base, I'm sure someone will make it known (and I hope so).

User avatar
Smokey20
Fanatic
Fanatic
Posts: 147
Joined: 2014-06-09, 06:06
Location: Hawaii

Re: Most important extension does not work in new version

Unread post by Smokey20 » 2019-06-11, 07:58

pintorama wrote:
2019-06-09, 21:25
Here's what has worked for me, in the past, when extensions no longer function properly in a new version of Basilisk. First, save your existing profile so you can go back. Second, go to the Classic Ad-ons Archive for your extension: caa:addon/tree-style-tab/versions, and see if an earlier version of the extension will function properly. I can't promise this will work, but it is worth trying and, by saving your existing profile, you can go back to that if things do not work out without the experiment of trying earlier versions having any adverse effect on your other extensions, settings, etc.
Mahalo! I have the last 4 versions of this extension that will work on Basilisk downloaded to disk (along with the last working versions of all my XUL extensions...did this before Classic Adons Archive got really going) as I had them installed on Fx 52 ESR also. I had the fourth version installed and it no longer worked on the default profile or a pristine second profile. So, I tried the 3rd version of Tree Style Tabs, that I had saved, on the pristine profile and it worked fine. So, then I put it on the default profile and it works fine and gets along with the other extensions! :D I have no idea why it works but the version three months newer (all are from 2017) no longer works.

So, thanks so much for encouraging me to try this. I was depressed by the response I got here earlier as the dev, Piro, moved on some time ago to the difficult task of rewriting Tree Style Tabs for Fx 60 and above so I was reasonably sure he would not be interested in fixing a problem with a 2017 version on Basilisk. I accidentally upgraded Fx 52 ESR to Fx 60 ESR months ago and was appalled when I saw all extensions disabled permanently. I just stopped using Fx until yesterday when I spent the entire day getting extensions that would work on Fx 60 ESR. I thought it would be a miserable task and I would hate the results. Actually, it was fun and I now have a nice, modern Fx that I like and only a very few extensions I can't find replacements for (The WE version of Tree Style Tabs is nicer than I expected and Piro has graciously put up a lot of very helpful tips for using custom rules to make it even better). So, the result of all this is that I now have two browsers that are set up to my liking and both work well.

dapgo
Fanatic
Fanatic
Posts: 105
Joined: 2016-10-11, 11:36

Re: Most important extension does not work in new version

Unread post by dapgo » 2019-06-11, 11:16

What about Multi-Account Containers 4.0.2?
has any dependency with Webextension?

It was working with previous version, but after loading the same profile with Basilisk version, there is no entry at menu for Multiaccount container.
In addons there is no incompatility report

User avatar
Lootyhoof
Themeist
Themeist
Posts: 1238
Joined: 2012-02-09, 23:35
Location: United Kingdom

Re: Most important extension does not work in new version

Unread post by Lootyhoof » 2019-06-11, 12:13

dapgo wrote:
2019-06-11, 11:16
What about Multi-Account Containers 4.0.2?
Basilisk release notes wrote:Removed unused code: contextual identity, crash reporter leftovers, SecurityUI telemetry, "enhanced" new tab tiles.
You could use an extension like Multifox instead.

illiad
Fanatic
Fanatic
Posts: 151
Joined: 2016-05-15, 13:04

Re: Most important extension does not work in new version

Unread post by illiad » 2019-06-11, 12:16

:) the problem may be that the developer has grown up an gone to college or started a family!!! or pardon the 'swear'.... gone to another browser due to financial impetus... :( :( :shifty: :problem: :shh:

- yes, most good devs are teens or less!! :( :o
VM 150Mbs in london england :coffee: on Intel Core I7 3GHz on Gigabyte X58a.
PM 28.4.1(64bit) on win7(64bit) sp1, modded to run and update despite no access to 'program file' folder on active directory domain:ugeek:
Updated ram to 24G, and new GPU - GTX 1060 :D sorry, dont need 4k, (not rich! :( ) not gamer, that is the only plus to newer $$$ GPUs!

dapgo
Fanatic
Fanatic
Posts: 105
Joined: 2016-10-11, 11:36

Re: Most important extension does not work in new version

Unread post by dapgo » 2019-06-11, 14:28

thanks
I'll check this addon. But I am still interested in the cause of Multiaccount not working
Lootyhoof wrote:
2019-06-11, 12:13
dapgo wrote:
2019-06-11, 11:16
What about Multi-Account Containers 4.0.2?
Basilisk release notes wrote:Removed unused code: contextual identity, crash reporter leftovers, SecurityUI telemetry, "enhanced" new tab tiles.
You could use an extension like Multifox instead.

User avatar
Lootyhoof
Themeist
Themeist
Posts: 1238
Joined: 2012-02-09, 23:35
Location: United Kingdom

Re: Most important extension does not work in new version

Unread post by Lootyhoof » 2019-06-11, 15:18

dapgo wrote:
2019-06-11, 14:28
But I am still interested in the cause of Multiaccount not working
I already stated this...?
Lootyhoof wrote:
2019-06-11, 12:13
Basilisk release notes wrote: Removed unused code: contextual identity, crash reporter leftovers, SecurityUI telemetry, "enhanced" new tab tiles.

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 5457
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: Most important extension does not work in new version

Unread post by New Tobin Paradigm » 2019-06-11, 15:22

Contextual Identity at our level was not anywhere near complete and indeed was just the start of an hackish port of the multifox extension technique into the toolkit and Firefox application code. Since this can be accomplished in extension form and we do not want to support the feature it made no sense to retain disabled-by-default incomplete code.
Image

- So then, "mono" means one, and "rail" means rail! -
And that concludes our intensive three-week course.
http://binaryoutcast.com/ | http://thereisonlyxul.org/

User avatar
Smokey20
Fanatic
Fanatic
Posts: 147
Joined: 2014-06-09, 06:06
Location: Hawaii

Re: Most important extension does not work in new version

Unread post by Smokey20 » 2019-06-11, 23:42

dapgo wrote:
2019-06-11, 11:16
What about Multi-Account Containers 4.0.2?
has any dependency with Webextension?

It was working with previous version, but after loading the same profile with Basilisk version, there is no entry at menu for Multiaccount container.
In addons there is no incompatility report
I had never heard of multiaccount containers as Fx 52.9 ESR did not have that as part of the browser and I had not read about it as an available extension. After I set up Tree Style Tabs WE version on Fx 60.6.3 ESR, I noticed a an entry in the information about the extension where I was setting it up as I wanted it that said multi account containers were required on Fx 60 ESR if one wanted to use Tree Style Tabs (or any extension for tabs). I then went and read about it at ghacks and Mozilla support articles, etc. The more I read about it the more I didn't want it and here it is forced in Fx 60 ESR. So, I disabled all but the "Personal" container and, for now, that satisfied Mozilla so I am no longer being threatened with the forced removal of Tree Style Tabs by Mozilla. Fx 60.x ESR will be forcibly updated by Mozilla around the first of Oct (i you haven't already updated) and availability of Fx 68 ESR will start early next month. I'm concerned that multiaccount containers will be forced with use of more than one required. I don't see the need for it and the colored lines would be very distracting. So, I'm glad Basilisk is not doing this.

User avatar
plushkava
Apollo supporter
Apollo supporter
Posts: 30
Joined: 2015-07-31, 04:53
Location: United Kingdom

Re: Most important extension does not work in new version

Unread post by plushkava » 2019-06-12, 00:54

You could try Tab Tree, which is available via Classic Addons-Archive. For the most part, it has feature parity with Tree Style Tab, along with better performance. One feature it does lack is the ability to collapse and expand sub-trees. Also, I recall that display glitches can occur on some Windows systems that have an Intel GPU, although it is possible to work around these. At any rate, the extension should still work with Basilisk.

As for the Tree Style Tab developer, he has made it clear that he has no intention of continuing development other than on the WebExtension version.

dapgo
Fanatic
Fanatic
Posts: 105
Joined: 2016-10-11, 11:36

Re: Most important extension does not work in new version

Unread post by dapgo » 2019-06-13, 07:06

Hello Lootyhoof

In my previous message i missed your second quote with the cause.

I have been testing Multifox to replace Multiaccount container.
For most pages it works at expected. However, I detected that this addon is not fully transparent to pages.
At least I detected 2 pages that can't load properly in a multifox profile (gmail and Jira) and it seems not related to cookies. Besides isolating cookies what else is doing multifox?


Lootyhoof wrote:
2019-06-11, 12:13
dapgo wrote:
2019-06-11, 11:16
What about Multi-Account Containers 4.0.2?
Basilisk release notes wrote:Removed unused code: contextual identity, crash reporter leftovers, SecurityUI telemetry, "enhanced" new tab tiles.
You could use an extension like Multifox instead.

User avatar
Lootyhoof
Themeist
Themeist
Posts: 1238
Joined: 2012-02-09, 23:35
Location: United Kingdom

Re: Most important extension does not work in new version

Unread post by Lootyhoof » 2019-06-13, 16:20

dapgo wrote:
2019-06-13, 07:06
For most pages it works at expected. However, I detected that this addon is not fully transparent to pages.
Someone would need to fork it to fix any bugs that might appear. The code is freely available, so anyone would be able to if they wanted.

This discussion is also very much off-topic from the original post, which relates to Tree Style Tab rather than Multi Account Containers and/or Multifox.

User avatar
adesh
Astronaut
Astronaut
Posts: 653
Joined: 2017-06-06, 07:38

Re: Most important extension does not work in new version

Unread post by adesh » 2019-06-13, 16:43

Lootyhoof wrote:
2019-06-13, 16:20
This discussion is also very much off-topic from the original post, which relates to Tree Style Tab rather than Multi Account Containers and/or Multifox.
Off-topic:
This is the normal state of affairs here!

Post Reply